std::mask_array::mask_array(3)

NAME
std::mask_array::mask_array - std::mask_array::mask_array

Synopsis
   private: (until C++11)
   mask_array();
   public: (1) (since C++11)
   mask_array() = delete;
   public: (2)
   mask_array( const mask_array& other );
   1) The default constructor is
   declared private and not defined
   (until C++11)
   explicitly defined as deleted
   (since C++11): mask_array is not DefaultConstructible.
   2) Constructs a mask_array from another mask_array other.

Parameters
   other - mask_array to initialize with
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   LWG 253 C++98 the copy constructor was private made public